Skip to content

Get passkey

Get all passkey data for a passkey including the public key. Call this endpoint if you want to extract the public-key component of a passkey for use in another platform or library.

Request
GET https://api.passlock.dev/{tenancyId}/passkeys/{passkeyId} HTTP/1.1
Authorization: Bearer {apiKey}
Accept: application/json

HTTP Response:

Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"_tag": "Passkey",
"id": "sewqeeqx69cr7axut7kat",
"userId": "puubifsmidah0f8c0y9bm",
"enabled": true,
"credential": {
"id": "bW9wN3IzenE0enJ5OXVnZXoxOWF4",
"userId": "MTVkMTFmdHM1Yzg0bDN0anpieG9w",
"username": "jdoe@example.com",
"aaguid": "0000-0000-0000-0000",
"backedUp": true,
"counter": 0,
"deviceType": "multiDevice",
"transports": ["internal"],
"publicKey": "dGhpcy1pcy1hLWNib3ItcHVibGljLWtleQ",
"rpId": "example.com"
},
"platform": {
"icon": "https://api.passlock.dev/aaguid/0000-0000-0000/icon.svg",
"name": "Apple Passwords"
},
"createdAt": 1770123293,
"updatedAt": 1770123293,
"lastUsed": 1770123293
}
PropertyTypeDescription
idstringpasskeyId. Not to be confused with the credential.id
userIdstring | undefinedOptional custom user ID. Not to be confused with the credential.userId
enabledbooleanPasskey enabled
credentialobjectWebAuthn data directly related to the browser’s credential
platformobject | undefinedOptional details about the authenticator platform
createdAtnumberPasskey creation date
updatedAtnumberPasskey update/changed date
lastUsednumber | undefinedPresent if the passkey has been used for authentication
PropertyTypeDescription
idstringDevice native credential ID
userIdstringDevice native credential user ID
aaguidstringGlobal ID representing the platform used
backedUpbooleanBackup/sync status
counternumberCredential counter. Unreliable
deviceTypestringsingleDevice or multiDevice
transportsarrayCredential transport mechanisms
publicKeystring (Base64Url)Base64Url encoded public key in the raw HTTP response
rpIdstringRelying Party ID associated with the credential
PropertyTypeDescription
iconstring | undefinedOptional URL to an icon representing the authenticator platform
namestring | undefinedOptional platform name, e.g. Apple Passwords